TEMPLATE = subdirs
CONFIG += ordered

SUBDIRS += \
    #DataConsumer \
    #DataSubscribe \
    modules/RedisClient \
    modules/TDengineClient \
    modules/MQTTClient \
    DataConsumer/TDengine \
    DataConsumer/Alarm \
    DataManagerMain/DataManagerMain.pro \
    DataSubscribe/RedisSubscriber   \
    DataSubscribe/TDengineSubscriber
    


# HEADERS += \
#     include/BaseModule.h \
#     include/Define.h \
#     include/JobModule.h \
#     include/LibraryLoader.h \
#     include/RunnableModule.h \
#     include/Publisher.h \
#     include/Client.h
